import React from 'react';
import { reduxForm, Field } from 'redux-form';
import { connect } from 'react-redux'
import validate from './validate';
import formInput from './../../../common/formInput';

class Form extends React.Component {

    submit(values) {
        const { } = this.props;
        console.log('Submit', values);
        // TODO: request
    }

    render() {
        const { handleSubmit } = this.props;

        return (
            <form className="text-center">
                <div className="form-group">
                    <label>Email address</label>
                    <Field type="email" name='email' className="form-control" placeholder="name@example.com" component={formInput} />
                </div>

                <div className="form-group">
                    <label>Password</label>
                    <Field type="password" name='password' className="form-control" placeholder="example123" component={formInput} />
                </div>

                <button type="submit" className="btn btn-primary">Sign In!</button>
            </form>
        )
    }
}

const mapStateToProps = state => ({
    user: state.user
})

export default connect(mapStateToProps, null)(reduxForm({
    form: "SignIn",
    validate
})(Form))
