import React from 'react';
import ReactDOM from 'react-dom';
import * as serviceWorker from './serviceWorker';
import { Provider } from "react-redux";
import { BrowserRouter } from "react-router-dom"
import Router from './router'
import reduxStore from './state'

import 'bootstrap/dist/css/bootstrap.min.css';
import $ from 'jquery';
import Popper from 'popper.js';
import 'bootstrap/dist/js/bootstrap.bundle.min';

import './styles/_index.scss';

ReactDOM.render(
    <BrowserRouter>
        <Provider store={reduxStore}>
            <Router />
        </Provider>
    </BrowserRouter>,
    document.getElementById('root'));

serviceWorker.unregister();
